'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Avatar = function Avatar(_ref) {
	var Vtr = _ref.as,
	    xl = _ref.xl,
	    l = _ref.l,
	    m = _ref.m,
	    s = _ref.s,
	    xs = _ref.xs,
	    alt = _ref.alt,
	    src = _ref.src,
	    noImg = _ref.noImg,
	    className = _ref.className,
	    color = _ref.color,
	    initials = _ref.initials,
	    props = _objectWithoutProperties(_ref, ['as', 'xl', 'l', 'm', 's', 'xs', 'alt', 'src', 'noImg', 'className', 'color', 'initials']);

	var classes = (0, _classnames2.default)('c-avatar', {
		'c-avatar--no-img': noImg,
		'c-avatar--xl': xl,
		'c-avatar--l': l,
		'c-avatar--m': m,
		'c-avatar--s': s,
		'c-avatar--xs': xs
	}, className);
	//Thanks ShanShan on StackOverflow for this initial generating solution
	var ini = alt.match(/\b\w/g) || [];
	ini = initials ? initials : ((ini.shift() || '') + (ini.pop() || '')).toUpperCase();

	var VtrInner = noImg ? _react2.default.createElement(
		'span',
		{ className: 'ax-visually-hidden' },
		alt
	) : _react2.default.createElement('img', { src: src, alt: alt });
	return _react2.default.createElement(
		Vtr,
		_extends({ className: classes }, props, { src: src, 'data-initials': noImg && ini, style: noImg && { "backgroundColor": color } }),
		VtrInner
	);
};

Avatar.displayName = 'Avatar';

Avatar.defaultProps = {
	as: 'figure',
	size: ''
};

Avatar.propTypes = {
	as: _propTypes2.default.node,
	className: _propTypes2.default.string,
	xl: _propTypes2.default.bool,
	l: _propTypes2.default.bool,
	m: _propTypes2.default.bool,
	s: _propTypes2.default.bool,
	xs: _propTypes2.default.bool,
	alt: _propTypes2.default.string,
	src: _propTypes2.default.string,
	noImg: _propTypes2.default.bool,
	initials: _propTypes2.default.string,
	color: _propTypes2.default.string

};

exports.default = Avatar;