'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Button = function Button(_ref) {
	var Btn = _ref.as,
	    primary = _ref.primary,
	    secondary = _ref.secondary,
	    tertiary = _ref.tertiary,
	    disabled = _ref.disabled,
	    full = _ref.full,
	    big = _ref.big,
	    enabled = _ref.enabled,
	    className = _ref.className,
	    props = _objectWithoutProperties(_ref, ['as', 'primary', 'secondary', 'tertiary', 'disabled', 'full', 'big', 'enabled', 'className']);

	var classes = (0, _classnames2.default)('c-btn', {
		'c-btn--primary': primary,
		'c-btn--secondary': secondary,
		'c-btn--tertiary': tertiary,
		'c-btn--disabled': disabled,
		'c-btn--full': full,
		'c-btn--big': big
	}, className);

	return _react2.default.createElement(Btn, _extends({ className: classes }, props, { disabled: disabled && !enabled }));
};

Button.displayName = 'Button';

Button.defaultProps = {
	as: 'button'
};

Button.propTypes = {
	as: _propTypes2.default.node,
	className: _propTypes2.default.string,
	primary: _propTypes2.default.bool,
	secondary: _propTypes2.default.bool,
	tertiary: _propTypes2.default.bool,
	disabled: _propTypes2.default.bool,
	full: _propTypes2.default.bool,
	big: _propTypes2.default.bool,
	enabled: _propTypes2.default.bool

};

exports.default = Button;