'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Calendar = function Calendar(_ref) {
  var Clndr = _ref.as,
      className = _ref.className,
      title = _ref.title,
      dates = _ref.dates,
      children = _ref.children,
      props = _objectWithoutProperties(_ref, ['as', 'className', 'title', 'dates', 'children']);

  var classes = (0, _classnames2.default)('c-calendar', 'c-card', 'u-pad-xs', className);

  return _react2.default.createElement(
    Clndr,
    _extends(_defineProperty({ className: 'c-calendar c-card u-pad-xs' }, 'className', classes), props),
    _react2.default.createElement(
      'nav',
      { className: 'c-calendar__nav  u-cf u-font-center u-mar-bottom-s' },
      _react2.default.createElement(
        'div',
        { className: 'u-l-fl' },
        _react2.default.createElement(
          'a',
          { title: 'Previous month', href: '#', className: 'u-thide  c-arrow c-arrow--left' },
          'Previous'
        )
      ),
      _react2.default.createElement(
        'div',
        { className: 'u-l-fr' },
        _react2.default.createElement(
          'a',
          { title: 'Next month', href: '#', className: 'u-thide  c-arrow c-arrow--right' },
          'Next'
        )
      ),
      _react2.default.createElement(
        'strong',
        null,
        title
      )
    ),
    _react2.default.createElement(
      'table',
      { className: 'c-calendar__picker' },
      _react2.default.createElement(
        'thead',
        { className: 'ax-visually-hidden' },
        _react2.default.createElement(
          'tr',
          null,
          _react2.default.createElement(
            'th',
            null,
            _react2.default.createElement(
              'abbr',
              { title: 'Sunday' },
              'Sun'
            )
          ),
          _react2.default.createElement(
            'th',
            null,
            _react2.default.createElement(
              'abbr',
              { title: 'Monday' },
              'Mon'
            )
          ),
          _react2.default.createElement(
            'th',
            null,
            _react2.default.createElement(
              'abbr',
              { title: 'Tuesday' },
              'Tue'
            )
          ),
          _react2.default.createElement(
            'th',
            null,
            _react2.default.createElement(
              'abbr',
              { title: 'Wednesday' },
              'Wed'
            )
          ),
          _react2.default.createElement(
            'th',
            null,
            _react2.default.createElement(
              'abbr',
              { title: 'Thursday' },
              'Thu'
            )
          ),
          _react2.default.createElement(
            'th',
            null,
            _react2.default.createElement(
              'abbr',
              { title: 'Friday' },
              'Fri'
            )
          ),
          _react2.default.createElement(
            'th',
            null,
            _react2.default.createElement(
              'abbr',
              { title: 'Saturday' },
              'Sat'
            )
          )
        )
      ),
      _react2.default.createElement(
        'tbody',
        null,
        _react2.default.createElement(
          'tr',
          null,
          children
        )
      )
    )
  );
};

Calendar.displayName = 'Calendar';

Calendar.defaultProps = {
  as: 'div'
};

Calendar.propTypes = {
  as: _propTypes2.default.node,
  className: _propTypes2.default.string,
  title: _propTypes2.default.string
};

exports.default = Calendar;