'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Flag = function Flag(_ref) {
	var Flg = _ref.as,
	    className = _ref.className,
	    children = _ref.children,
	    image = _ref.image,
	    reversed = _ref.reversed,
	    top = _ref.top,
	    bottom = _ref.bottom,
	    props = _objectWithoutProperties(_ref, ['as', 'className', 'children', 'image', 'reversed', 'top', 'bottom']);

	var classes = (0, _classnames2.default)('o-flag', {
		"o-flag--top": top,
		"o-flag--bottom": bottom,
		"o-flag--rev": reversed
	}, className);

	var md = _react2.default.createElement(
		'div',
		{ 'class': 'o-flag__fix' },
		image
	);

	if (reversed) {
		return _react2.default.createElement(
			Flg,
			_extends({ className: classes }, props),
			_react2.default.createElement(
				'div',
				{ className: 'o-flag__flex' },
				children
			),
			md
		);
	} else {
		return _react2.default.createElement(
			Flg,
			_extends({ className: classes }, props),
			md,
			_react2.default.createElement(
				'div',
				{ className: 'o-flag__flex' },
				children
			)
		);
	}
};

Flag.displayName = 'Flag';

Flag.defaultProps = {
	as: 'div'
};

Flag.propTypes = {
	as: _propTypes2.default.node,
	className: _propTypes2.default.string,
	image: _propTypes2.default.object,
	top: _propTypes2.default.bool,
	reversed: _propTypes2.default.bool,
	bottom: _propTypes2.default.bool
};

exports.default = Flag;