'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Avatar = require('../Avatar/Avatar');

var _Avatar2 = _interopRequireDefault(_Avatar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Token = function Token(_ref) {
	var Tkn = _ref.as,
	    pending = _ref.pending,
	    warning = _ref.warning,
	    invalid = _ref.invalid,
	    name = _ref.name,
	    color = _ref.color,
	    initials = _ref.initials,
	    src = _ref.src,
	    selected = _ref.selected,
	    noImg = _ref.noImg,
	    className = _ref.className,
	    props = _objectWithoutProperties(_ref, ['as', 'pending', 'warning', 'invalid', 'name', 'color', 'initials', 'src', 'selected', 'noImg', 'className']);

	var classes = (0, _classnames2.default)('c-token', {
		'c-token--pending': pending,
		'c-token--warning': warning,
		'c-token--invalid': invalid,
		'is-selected': selected
	}, className);

	return _react2.default.createElement(
		Tkn,
		_extends({ className: classes }, props),
		_react2.default.createElement(_Avatar2.default, { xs: true, alt: name, noImg: noImg, color: color, src: src, initials: initials }),
		_react2.default.createElement(
			'span',
			{ className: 'c-token__name' },
			name
		),
		_react2.default.createElement(
			'span',
			{ className: 'c-token__delete' },
			'\xD7'
		)
	);
};

Token.displayName = 'Token';

Token.defaultProps = {
	as: 'div'
};

Token.propTypes = {
	as: _propTypes2.default.node,
	className: _propTypes2.default.string,
	pending: _propTypes2.default.bool,
	warning: _propTypes2.default.bool,
	invalid: _propTypes2.default.bool,
	selected: _propTypes2.default.bool,
	name: _propTypes2.default.string,
	noImg: _propTypes2.default.bool,
	color: _propTypes2.default.string,
	initials: _propTypes2.default.string,
	src: _propTypes2.default.string

};

exports.default = Token;